Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.project
Class ProjectHibernateDao

    java.lang.Object
      HibernateObjectDao
          com.atlassian.bamboo.persistence.BambooHibernateObjectDao
              com.atlassian.bamboo.project.ProjectHibernateDao

All Implemented Interfaces:
  BambooObjectDao, ProjectDao

    public class ProjectHibernateDao

extends BambooHibernateObjectDao
implements ProjectDao

Constructor Summary
`ProjectHibernateDao()`

Method Summary
`Class` | `getPersistentClass()`
`Project` | `getProjectByKey(String key)`
`Project` | `getProjectByName(String projectName)`
`boolean` | `isExistingProjectKey(String projectKey)`
`boolean` | `isExistingProjectName(String projectName)`
`void` | `saveProject(Project project)`

Methods inherited from class com.atlassian.bamboo.persistence.BambooHibernateObjectDao
`findById`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.persistence.BambooObjectDao
`findById`

Constructor Detail

### ProjectHibernateDao

    public ProjectHibernateDao()

Method Detail

### getPersistentClass

    public Class getPersistentClass()

### saveProject

    public void saveProject(Project project)

  Specified by:
    `saveProject` in interface `ProjectDao`

### isExistingProjectName

    public boolean isExistingProjectName(String projectName)

  Specified by:
    `isExistingProjectName` in interface `ProjectDao`

### isExistingProjectKey

    public boolean isExistingProjectKey(String projectKey)

  Specified by:
    `isExistingProjectKey` in interface `ProjectDao`

### getProjectByKey

    public Project getProjectByKey(String key)

  Specified by:
    `getProjectByKey` in interface `ProjectDao`

### getProjectByName

    public Project getProjectByName(String projectName)

  Specified by:
    `getProjectByName` in interface `ProjectDao`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.